/**
 * demo.js
 * https://coidea.website
 *
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 * 
 * Copyright 2018, COIDEA
 * https://coidea.website
 */

  $('.coidea-horizontal').imagesLoaded(function() {
    $('.loader').addClass('is-loaded');

    var totalWidth = 0,
        timeline = new TimelineMax({ paused: true });

    // set width of our scrolling div
    $('.horizontal-container').each(function(index) {
      totalWidth += parseInt($(this).width(), 10);
    });
    $('.coidea-horizontal').css({
      'width': totalWidth
    })

    // timeline
    timeline.staggerTo('.image', 0.75, {
        scaleX: 1.20,
        transformOrigin: "right",
        ease: Back.easeOut.config(0.5)
      })
      .staggerTo('.image', 0.75, {
        scaleX: 1,
        transformOrigin: "right",
        ease: Back.easeOut.config(0.5)
      }, 0, '-=0.5');

    // mouse wheel
    window.addEventListener("wheel", onWheel);
    // mouse wheel - firefox
    window.addEventListener('DOMMouseScroll', onWheel);
    // touch mobile
    window.addEventListener("touchmove", onWheel);

    // main function
    function onWheel(event) {
    
      event.preventDefault();
      var normalized,
          delta = event.wheelDelta,
          scroll = (window.pageXOffset || document.scrollLeft) - (document.clientLeft || 0) || 0;
      if (delta) {
      
        normalized = (delta % 120) == 0 ? -delta / 120 : -delta / 3;
      } else {
      
        delta = event.deltaY || event.detail || 0;
        normalized = -(delta % 3 ? delta * 10 : delta / 3);
      }

      timeline.play().restart();
      
      TweenLite.to(window, 0.4, {
        scrollTo: {
          x: scroll + 200 * normalized
        }
      });
    }
  });

  // fast fix for resize window and refresh view, attention: not use in production!
  window.onresize = function(){ location.reload(); }
